Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/I18N.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/I18N.java	(revision 44532)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/I18N.java	(revision 44533)
@@ -76,6 +76,10 @@
         return String.format("An identifier was expected and '%s' was found", literal);
     }
     
+    public static String A_string_literal_was_expected() {
+        return String.format("A string literal was expected");
+    }
+    
     public static String A_XTokenX_was_expected_and_XliteralX_was_found(String expected, String found) {
         return String.format("A '%s' was expected and '%s' was found", expected, found);
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultExpressionEvaluatorManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultExpressionEvaluatorManager.java	(revision 44532)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultExpressionEvaluatorManager.java	(revision 44533)
@@ -48,10 +48,12 @@
     private Bookmarks<Expression> bookmarks;
     private History<Expression> history;
     private SymbolTable inmutableSymbolTable;
+    private ResourcesStorage scriptsResourcesStorage;
 
     public DefaultExpressionEvaluatorManager() {
         this.symbolTableFactories = new HashMap<>();
         this.grammarFactories = new HashMap<>();
+        this.scriptsResourcesStorage = ResourcesStorage.EMPTY_RESOURCESSTORAGE;
     }
 
     @Override
@@ -226,7 +228,9 @@
 
     @Override
     public Interpreter createInterpreter() {
-        return new DefaultInterpreter();
+        Interpreter interpreter = new DefaultInterpreter();
+        interpreter.setResourcesStorage(this.scriptsResourcesStorage);
+        return interpreter;
     }
 
     @Override
@@ -310,7 +314,7 @@
 
     @Override
     public Script locateScript(String name) {
-        return null;
+        return loadScript(this.scriptsResourcesStorage, name);
     }
 
     @Override
@@ -407,5 +411,16 @@
         }
 
     }
+    
+    @Override
+    public ResourcesStorage getScriptsResourcesStorage() {
+        return this.scriptsResourcesStorage;
+    }
+
+    @Override
+    public void setScriptsResourcesStorage(ResourcesStorage scriptsResourcesStorage) {
+        this.scriptsResourcesStorage = scriptsResourcesStorage;
+    }
+    
 }
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultSymbolTable.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultSymbolTable.java	(revision 44532)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultSymbolTable.java	(revision 44533)
@@ -1,14 +1,12 @@
 package org.gvsig.expressionevaluator.impl;
 
 import org.gvsig.expressionevaluator.spi.AbstractSymbolTable;
-import java.util.ArrayList;
 import java.util.Collection;
 import java.util.HashMap;
 import org.apache.commons.lang3.StringUtils;
 import org.gvsig.expressionevaluator.ExpressionEvaluatorLocator;
 import org.gvsig.expressionevaluator.Function;
 import org.gvsig.expressionevaluator.MutableSymbolTable;
-import org.gvsig.tools.script.Script;
 
 /**
  *
@@ -24,7 +22,7 @@
         super();
         this.vars = new HashMap<>();
         this.functions = new HashMap<>();
-        this.scripts = new ArrayList<>();
+//        this.scripts = new ArrayList<>();
         this.init();
     }
     
@@ -69,27 +67,27 @@
         this.functions.remove(name.toUpperCase());
     }
 
-    @Override
-    public void addScript(Script script) {
-        if( script == null ) {
-            throw new IllegalArgumentException("script can't be null");
-        }
-        if (this.scripts.contains(script)) {
-            return;
-        }
-        this.scripts.add(script);
-    }
+//    @Override
+//    public void addScript(Script script) {
+//        if( script == null ) {
+//            throw new IllegalArgumentException("script can't be null");
+//        }
+//        if (this.scripts.contains(script)) {
+//            return;
+//        }
+//        this.scripts.add(script);
+//    }
+//
+//    @Override
+//    public void removeScript(Script script) {
+//        if( script == null ) {
+//            throw new IllegalArgumentException("script can't be null");
+//        }
+//        this.scripts.remove(script);
+//    }
 
     @Override
-    public void removeScript(Script script) {
-        if( script == null ) {
-            throw new IllegalArgumentException("script can't be null");
-        }
-        this.scripts.remove(script);
-    }
-
-    @Override
     public MutableSymbolTable clone() throws CloneNotSupportedException {
-        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
+        throw new CloneNotSupportedException("Not supported yet."); 
     }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultOptimizer.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultOptimizer.java	(revision 44532)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultOptimizer.java	(revision 44533)
@@ -11,7 +11,6 @@
 import org.gvsig.expressionevaluator.Interpreter;
 import org.gvsig.expressionevaluator.SymbolTable;
 import org.gvsig.expressionevaluator.impl.DefaultCodeBuilder.BaseCodes;
-import org.gvsig.tools.script.Script;
 
 /**
  *
@@ -90,12 +89,12 @@
             return this.symbolTable.functions();
         }
         
+//        @Override
+//        public Collection<Script> scripts() {
+//            return this.symbolTable.scripts();
+//        }
+//
         @Override
-        public Collection<Script> scripts() {
-            return this.symbolTable.scripts();
-        }
-
-        @Override
         @SuppressWarnings("CloneDoesntCallSuperClone")
         public SymbolTable clone() throws CloneNotSupportedException {
             throw new UnsupportedOperationException("Not supported yet.");
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/grammars/BasicGrammarFactory.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/grammars/BasicGrammarFactory.java	(revision 44532)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/grammars/BasicGrammarFactory.java	(revision 44533)
@@ -185,13 +185,25 @@
             stmt.addRule(stmt.optional_identifiers("PARAM_NAMES", ","));
             stmt.addRule(stmt.optional_any_token(")"));
             stmt.addRule(stmt.require_any_token("AS"));
-            stmt.addRule(stmt.optional_any_token("$$","BEGIN"));
-            stmt.addRule(stmt.require_expressions("BODY", ";"));
-            stmt.addRule(stmt.require_any_token("$$", "END"));
-            stmt.addRule(stmt.optional_any_token("FUNCTION", "PROCEDURE"));
+            stmt.addRule(stmt.optional_any_token("$$","BEGIN")
+                    .addRuleOnTrue(stmt.require_expressions("BODY", ";"))
+                    .addRuleOnTrue(stmt.require_any_token("$$", "END"))
+                    .addRuleOnTrue(stmt.optional_any_token("FUNCTION", "PROCEDURE"))
+                    .addRuleOnFalse(stmt.optional_literal_string("SCRIPT_PATH")
+                        .addRuleOnTrue(stmt.require_any_token(","))
+                        .addRuleOnTrue(stmt.require_identifier("SCRIPT_FUNCTION"))
+                        .addRuleOnTrue(stmt.optional_any_token("LANGUAGE")
+                                .addRuleOnTrue(stmt.require_literal_string("LANGUAGE"))
+                        )
+                    )
+            );
+                    
+//            stmt.addRule(stmt.require_expressions("BODY", ";"));
+//            stmt.addRule(stmt.require_any_token("$$", "END"));
+//            stmt.addRule(stmt.optional_any_token("FUNCTION", "PROCEDURE"));
             stmt.code(
                     CreateFnFunction.NAME,
-                    stmt.args_names("FUNCTION_NAME","PARAM_NAMES","BODY")
+                    stmt.args_names("FUNCTION_NAME","PARAM_NAMES","BODY", "SCRIPT_PATH", "SCRIPT_FUNCTION", "LANGUAGE")
             ); 
             theGrammar.addStatement(stmt);
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultExpression.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultExpression.java	(revision 44532)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.expressionevaluator/org.gvsig.expressionevaluator.lib/org.gvsig.expressionevaluator.lib.impl/src/main/java/org/gvsig/expressionevaluator/impl/DefaultExpression.java	(revision 44533)
@@ -1,10 +1,5 @@
 package org.gvsig.expressionevaluator.impl;
 
-import java.net.URI;
-import java.net.URL;
-import java.util.ArrayList;
-import java.util.Iterator;
-import java.util.List;
 import java.util.Objects;
 import org.apache.commons.lang3.StringUtils;
 import org.gvsig.expressionevaluator.Code;
@@ -21,12 +16,8 @@
 import org.gvsig.tools.persistence.PersistenceManager;
 import org.gvsig.tools.persistence.PersistentState;
 import org.gvsig.tools.persistence.exception.PersistenceException;
-import org.gvsig.tools.script.Script;
 import org.gvsig.tools.script.ScriptManager;
 import org.gvsig.tools.util.LabeledValue;
-import org.gvsig.tools.util.UnmodifiableBasicList;
-import org.gvsig.tools.util.UnmodifiableBasicListAdapter;
-import org.json.JSONArray;
 import org.json.JSONObject;
 
 /**
@@ -36,9 +27,9 @@
 public class DefaultExpression implements Expression, LabeledValue<Expression> {
 
     private String phrase = null;
-    private Script userScript = null;
-    private List<Script> scripts = null;
-    private UnmodifiableBasicList<Script> unmodifiableScripts = null;
+//    private Script userScript = null;
+//    private List<Script> scripts = null;
+//    private UnmodifiableBasicList<Script> unmodifiableScripts = null;
 
     private Code code = null;
     private Interpreter interpreter;
@@ -102,32 +93,32 @@
         if( !StringUtils.isBlank(this.phrase) ) {
             return false;
         }
-        if( this.scripts!=null && !this.scripts.isEmpty() ) {
-            return false;
-        }
-        if( this.userScript!=null && !StringUtils.isBlank(this.userScript.getCode()) ) {
-            return false;
-        }
+//        if( this.scripts!=null && !this.scripts.isEmpty() ) {
+//            return false;
+//        }
+//        if( this.userScript!=null && !StringUtils.isBlank(this.userScript.getCode()) ) {
+//            return false;
+//        }
         return true;
     }
 
+//    @Override
+//    public Script getUserScript() {
+//        return this.userScript;
+//    }
+//
+//    @Override
+//    public UnmodifiableBasicList<Script> getScripts() {
+//        if (this.unmodifiableScripts == null) {
+//            if (this.scripts == null) {
+//                return null;
+//            }
+//            this.unmodifiableScripts = new UnmodifiableBasicListAdapter<>(this.scripts);
+//        }
+//        return this.unmodifiableScripts;
+//    }
+//
     @Override
-    public Script getUserScript() {
-        return this.userScript;
-    }
-
-    @Override
-    public UnmodifiableBasicList<Script> getScripts() {
-        if (this.unmodifiableScripts == null) {
-            if (this.scripts == null) {
-                return null;
-            }
-            this.unmodifiableScripts = new UnmodifiableBasicListAdapter<>(this.scripts);
-        }
-        return this.unmodifiableScripts;
-    }
-
-    @Override
     public Expression setPhrase(String phrase) {
         this.phrase = phrase;
         this.code = null;
@@ -135,53 +126,53 @@
         return this;
     }
 
-    @Override
-    public Expression setUserScript(String code, String languaje) {
-        if (this.userScript == null) {
-            ScriptManager scriptMananger = ToolsLocator.getScriptManager();
-            this.userScript = scriptMananger.createScript("user", code, languaje);
-        } else if (this.userScript.getTypeName().equalsIgnoreCase(languaje)) {
-            this.userScript.setCode(code);
-        } else {
-            ScriptManager scriptMananger = ToolsLocator.getScriptManager();
-            this.userScript = scriptMananger.createScript("user", code, languaje);
-        }
-        return this;
-    }
+//    @Override
+//    public Expression setUserScript(String code, String languaje) {
+//        if (this.userScript == null) {
+//            ScriptManager scriptMananger = ToolsLocator.getScriptManager();
+//            this.userScript = scriptMananger.createScript("user", code, languaje);
+//        } else if (this.userScript.getTypeName().equalsIgnoreCase(languaje)) {
+//            this.userScript.setCode(code);
+//        } else {
+//            ScriptManager scriptMananger = ToolsLocator.getScriptManager();
+//            this.userScript = scriptMananger.createScript("user", code, languaje);
+//        }
+//        return this;
+//    }
+//
+//    @Override
+//    public Expression setUserScript(Script script) {
+//        this.userScript = script;
+//        return this;
+//    }
+//
+//    @Override
+//    public Expression setUserScript(String code) {
+//        this.setUserScript(code, "python");
+//        return this;
+//    }
+//
+//    @Override
+//    public void removeAllScripts() {
+//        this.scripts = null;
+//        this.unmodifiableScripts = null;
+//    }
+//
+//    @Override
+//    public Expression addScript(Script script) {
+//        if (this.scripts == null) {
+//            this.scripts = new ArrayList<>();
+//        }
+//        this.scripts.add(script);
+//        return this;
+//    }
 
     @Override
-    public Expression setUserScript(Script script) {
-        this.userScript = script;
-        return this;
-    }
-
-    @Override
-    public Expression setUserScript(String code) {
-        this.setUserScript(code, "python");
-        return this;
-    }
-
-    @Override
-    public void removeAllScripts() {
-        this.scripts = null;
-        this.unmodifiableScripts = null;
-    }
-
-    @Override
-    public Expression addScript(Script script) {
-        if (this.scripts == null) {
-            this.scripts = new ArrayList<>();
-        }
-        this.scripts.add(script);
-        return this;
-    }
-
-    @Override
     public void clear() {
         this.phrase = null;
-        this.userScript = null;
-        this.unmodifiableScripts = null;
-        this.scripts = null;
+//        this.userScript = null;
+//        this.unmodifiableScripts = null;
+//        this.scripts = null;
         this.code = null;
         this.interpreter = null;
         this.hasNotBeenOptimized = true;
@@ -260,29 +251,29 @@
     @Override
     public void saveToState(PersistentState state) throws PersistenceException {
         state.set("phrase", this.phrase);
-        if (this.userScript == null) {
-            state.setNull("userScript_code");
-            state.setNull("userScript_language");
-        } else {
-            state.set("userScript_code", this.userScript.getCode());
-            state.set("userScript_language", this.userScript.getTypeName());
-        }
-        if (this.scripts != null && !this.scripts.isEmpty()) {
-            List<URL> l = new ArrayList<>();
-            for (Script script : this.scripts) {
-                URL location = script.getURL();
-                if (location != null) {
-                    l.add(location);
-                }
-            }
-            if (l.isEmpty()) {
-                state.setNull("scripts");
-            } else {
-                state.set("scripts", l);
-            }
-        } else {
-            state.setNull("scripts");
-        }
+//        if (this.userScript == null) {
+//            state.setNull("userScript_code");
+//            state.setNull("userScript_language");
+//        } else {
+//            state.set("userScript_code", this.userScript.getCode());
+//            state.set("userScript_language", this.userScript.getTypeName());
+//        }
+//        if (this.scripts != null && !this.scripts.isEmpty()) {
+//            List<URL> l = new ArrayList<>();
+//            for (Script script : this.scripts) {
+//                URL location = script.getURL();
+//                if (location != null) {
+//                    l.add(location);
+//                }
+//            }
+//            if (l.isEmpty()) {
+//                state.setNull("scripts");
+//            } else {
+//                state.set("scripts", l);
+//            }
+//        } else {
+//            state.setNull("scripts");
+//        }
     }
 
     @Override
@@ -292,29 +283,29 @@
         this.clear();
         
         this.phrase = state.getString("phrase");
-        String userScript_code = state.getString("userScript_code");
-        String userScript_language = state.getString("userScript_language");
-        if (StringUtils.isEmpty(userScript_code)) {
-            this.userScript = null;
-        } else {
-            if (StringUtils.isEmpty(userScript_language)) {
-                userScript_language = "python";
-            }
-            this.userScript = scriptManager.createScript("user", userScript_code, userScript_language);
-        }
-        Iterator scriptsLocations = state.getIterator("scripts");
-        if (scriptsLocations != null) {
-            while (scriptsLocations.hasNext()) {
-                URI location = (URI) scriptsLocations.next();
-                Script script = scriptManager.loadScript(location);
-                if (script != null) {
-                    if (this.scripts == null) {
-                        this.scripts = new ArrayList<>();
-                    }
-                    this.scripts.add(script);
-                }
-            }
-        }
+//        String userScript_code = state.getString("userScript_code");
+//        String userScript_language = state.getString("userScript_language");
+//        if (StringUtils.isEmpty(userScript_code)) {
+//            this.userScript = null;
+//        } else {
+//            if (StringUtils.isEmpty(userScript_language)) {
+//                userScript_language = "python";
+//            }
+//            this.userScript = scriptManager.createScript("user", userScript_code, userScript_language);
+//        }
+//        Iterator scriptsLocations = state.getIterator("scripts");
+//        if (scriptsLocations != null) {
+//            while (scriptsLocations.hasNext()) {
+//                URI location = (URI) scriptsLocations.next();
+//                Script script = scriptManager.loadScript(location);
+//                if (script != null) {
+//                    if (this.scripts == null) {
+//                        this.scripts = new ArrayList<>();
+//                    }
+//                    this.scripts.add(script);
+//                }
+//            }
+//        }
     }
 
     public static void registerPersistence() {
@@ -323,11 +314,11 @@
             DynStruct definition = manager.addDefinition(DefaultExpression.class,
                     "Expression", "Expression persistence definition", null, null);
             definition.addDynFieldString("phrase").setMandatory(false);
-            definition.addDynFieldString("userScript_code").setMandatory(false);
-            definition.addDynFieldString("userScript_language").setMandatory(false);
-            definition.addDynFieldList("scripts")
-                    .setClassOfItems(URL.class)
-                    .setMandatory(false);
+//            definition.addDynFieldString("userScript_code").setMandatory(false);
+//            definition.addDynFieldString("userScript_language").setMandatory(false);
+//            definition.addDynFieldList("scripts")
+//                    .setClassOfItems(URL.class)
+//                    .setMandatory(false);
         }
     }
 
@@ -336,20 +327,20 @@
         JSONObject expressionJson = new JSONObject();
         expressionJson.put("phrase", this.phrase);
 
-        if (this.userScript != null) {
-            JSONObject userScriptJson = new JSONObject();
-            userScriptJson.put("code", this.userScript.getCode());
-            userScriptJson.put("language", this.userScript.getTypeName());
-            expressionJson.put("userScript", userScriptJson);
-        }
-
-        if (this.scripts != null && !this.scripts.isEmpty()) {
-            JSONArray scriptsJson = new JSONArray();
-            for (Script script : this.scripts) {
-                scriptsJson.put(script.getURL());
-            }
-            expressionJson.put("scripts", scriptsJson);
-        }
+//        if (this.userScript != null) {
+//            JSONObject userScriptJson = new JSONObject();
+//            userScriptJson.put("code", this.userScript.getCode());
+//            userScriptJson.put("language", this.userScript.getTypeName());
+//            expressionJson.put("userScript", userScriptJson);
+//        }
+//
+//        if (this.scripts != null && !this.scripts.isEmpty()) {
+//            JSONArray scriptsJson = new JSONArray();
+//            for (Script script : this.scripts) {
+//                scriptsJson.put(script.getURL());
+//            }
+//            expressionJson.put("scripts", scriptsJson);
+//        }
         return expressionJson.toString();
     }
 
@@ -362,27 +353,27 @@
         if (expressionJson.has("phrase")) {
             this.phrase = expressionJson.getString("phrase");
         }
-        if (expressionJson.has("userScript")) {
-            String theCode = "";
-            String theLanguage = "python";
-            JSONObject userScriptJson = expressionJson.getJSONObject("userScript");
-            if (userScriptJson.has("code")) {
-                theCode = userScriptJson.getString("code");
-            }
-            if (userScriptJson.has("language")) {
-                theCode = userScriptJson.getString("language");
-            }
-            this.userScript = scriptMananger.createScript("user", theCode, theLanguage);
-        }
-        if (expressionJson.has("scripts")) {
-            this.scripts = new ArrayList<>();
-            JSONArray scriptsJson = expressionJson.getJSONArray("scripts");
-            for (Object object : scriptsJson) {
-                URI location = (URI) object;
-                Script script = scriptMananger.loadScript(location);
-                this.scripts.add(script);
-            }
-        }
+//        if (expressionJson.has("userScript")) {
+//            String theCode = "";
+//            String theLanguage = "python";
+//            JSONObject userScriptJson = expressionJson.getJSONObject("userScript");
+//            if (userScriptJson.has("code")) {
+//                theCode = userScriptJson.getString("code");
+//            }
+//            if (userScriptJson.has("language")) {
+//                theCode = userScriptJson.getString("language");
+//            }
+//            this.userScript = scriptMananger.createScript("user", theCode, theLanguage);
+//        }
+//        if (expressionJson.has("scripts")) {
+//            this.scripts = new ArrayList<>();
+//            JSONArray scriptsJson = expressionJson.getJSONArray("scripts");
+//            for (Object object : scriptsJson) {
+//                URI location = (URI) object;
+//                Script script = scriptMananger.loadScript(location);
+//                this.scripts.add(script);
+//            }
+//        }
     }
 
     @Override
